usb: XUsb_EpConfig Struct Reference

| usb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsb_EpConfig Struct Reference
Usb_v5_2

The XUsb_EpConfig structure is used to configure endpoints. More...

## Data Fields
int | OutIn
| The end point direction. More...
int | EpType
| Bulk/interrupt/Isochronous. More...
int | Buffer0Count
| Pkt Size for the first ping-pong buffer. More...
volatile int | Buffer0Ready
     Status flag for first ping-pong
buffer More...
int | Buffer1Count
| Pkt Size for the second ping-pong buffer. More...
volatile int | Buffer1Ready
     Status flag for second ping-pong
buffer More...
u32 | Size
| Maximum buffer size for this end point. More...
u32 | RamBase
| The rambase offset value in the end point buffer space. More...
volatile int | CurBufNum
     The current ping-pong buffer to be
used More...
XUsb_EpHandlerFunc | HandlerFunc
| Call back function for this end point. More...
void * | HandlerRef
| Callback reference. More...

## Detailed Description

The XUsb_EpConfig structure is used to configure endpoints.

## Field Documentation

int XUsb_EpConfig::Buffer0Count

Pkt Size for the first ping-pong buffer.

Referenced by Ep1IntrHandler(), SetupControlWriteStatusStage(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().

volatile int XUsb_EpConfig::Buffer0Ready

     Status flag for first ping-pong

buffer

Referenced by EP0ProcessInToken(), EP0ProcessOutToken(), Ep1IntrHandler(), Ep2IntrHandler(), GetConfiguration(), GetInterface(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), SetConfiguration(), XUsb_ConfigureDevice(), XUsb_EpConfigure(), XUsb_EpDataRecv(), and XUsb_EpDataSend().

int XUsb_EpConfig::Buffer1Count

Pkt Size for the second ping-pong buffer.

Referenced by Ep1IntrHandler(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().

volatile int XUsb_EpConfig::Buffer1Ready

     Status flag for second ping-pong

buffer

Referenced by Ep1IntrHandler(), Ep2IntrHandler(), InitUsbInterface(), SetConfiguration(), XUsb_ConfigureDevice(), XUsb_EpConfigure(), XUsb_EpDataRecv(), and XUsb_EpDataSend().

volatile int XUsb_EpConfig::CurBufNum

     The current ping-pong buffer to be

used

Referenced by XUsb_ConfigureDevice(), XUsb_EpDataRecv(), and XUsb_EpDataSend().

int XUsb_EpConfig::EpType

Bulk/interrupt/Isochronous.

Referenced by InitUsbInterface(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().

XUsb_EpHandlerFunc XUsb_EpConfig::HandlerFunc

Call back function for this end point.

Referenced by XUsb_EpSetHandler(), and XUsb_IntrHandler().

void* XUsb_EpConfig::HandlerRef

Callback reference.

Referenced by XUsb_EpSetHandler(), and XUsb_IntrHandler().

int XUsb_EpConfig::OutIn

The end point direction.

Referenced by InitUsbInterface(), SetClearFeature(), SetConfiguration(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().

u32 XUsb_EpConfig::RamBase

The rambase offset value in the end point buffer space.

Referenced by GetConfiguration(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().

u32 XUsb_EpConfig::Size

Maximum buffer size for this end point.

Referenced by InitUsbInterface(), XUsb_ConfigureDevice(), and XUsb_EpConfigure().